/* KallistiOS 1.1.3

   dc/fs_vmu.h
   (c)2000-2001 Jordan DeLong

   $Id: fs_vmu.h,v 1.1 2001/07/11 04:54:03 bard Exp $

*/

#ifndef __DC_FS_VMU_H
#define __DC_FS_VMU_H

#include <kos/fs.h>

/* File functions */
uint32	vmu_open(const char *path, int mode);
void	vmu_close(uint32 hnd);
off_t	vmu_tell(uint32 hnd);
size_t	vmu_total(uint32 hnd);

/* Initialization */
int fs_vmu_init();
int fs_vmu_shutdown();

#endif	/* __DC_FS_VMU_H */
